SNA
엔드포인트 레퍼런스

모델 목록 조회

provider runtime에서 사용할 수 있는 모델을 조회합니다.

POST
/agent/list-models

인증

bearerAuth
인증Bearer <token>

In: header

요청 본문

application/json

TypeScript 정의

TypeScript에서 request body 타입을 사용합니다.

응답 본문

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/list-models" \  -H "Content-Type: application/json" \  -d '{}'
{
  "models": [
    {
      "id": "string",
      "label": "string",
      "provider": "string",
      "source": "static",
      "contextWindow": 0,
      "deprecated": true,
      "notes": "string"
    }
  ],
  "source": "static",
  "fetchedAt": 0,
  "error": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}